import request from '@/utils/request'

// 获取奖品列表
export function awardList(data) {
  return request({
    url: '/market/award/getAwardList',
    method: 'post',
    data: data
  })
}

// 添加奖品
export function addAwardt(data) {
  return request({
    url: '/market/award/addAward',
    method: 'post',
    data: data
  })
}

// 删除奖品
export function delAward(data) {
  return request({
    url: '/market/award/delAward',
    method: 'post',
    data: data
  })
}

// 获取抽奖模板列表
export function getDrawTemplateList(data) {
  return request({
    url: '/market/drawTemplate/getDrawTemplateList',
    method: 'post',
    data: data
  })
}

// 新增抽奖模板
export function addDrawTemplate(data) {
  return request({
    url: '/market/drawTemplate/addDrawTemplate',
    method: 'post',
    data: data
  })
}

// 编辑抽奖模板
export function updateDrawTemplate(data) {
  return request({
    url: '/market/drawTemplate/updateDrawTemplate',
    method: 'post',
    data: data
  })
}

// 获取抽奖活动列表
export function getDrawActivityList(data) {
  return request({
    url: '/market/drawActivity/getDrawActivityList',
    method: 'post',
    data: data
  })
}

// 添加抽奖活动列表
export function addDrawActivity(data) {
  return request({
    url: '/market/drawActivity/addDrawActivity',
    method: 'post',
    data: data
  })
}

// 删除抽奖活动列表
export function delDrawActivity(data) {
  return request({
    url: '/market/drawActivity/delDrawActivity',
    method: 'post',
    data: data
  })
}

// 获取二维码
export function getQrCode(data) {
  return request({
    url: '/wechat/getQrCode',
    method: 'post',
    data: data
  })
}

// 获取奖品分类列表
export function getAwardTypeList(data) {
  return request({
    url: '/market/awardType/getAwardTypeList',
    method: 'post',
    data: data
  })
}


// 修改奖品分类
export function updateAward(data) {
  return request({
    url: '/market/awardType/updateAward',
    method: 'post',
    data: data
  })
}

// 添加奖品分类
export function addAwardType(data) {
  return request({
    url: '/market/awardType/addAwardType',
    method: 'post',
    data: data
  })
}

// 删除奖品分类
export function delAwardType(data) {
  return request({
    url: '/market/awardType/delAwardType',
    method: 'post',
    data: data
  })
}